org.apache.flume.conf.sink

## Enum SinkType

- java.lang.Object
- - java.lang.Enum<SinkType>
  - - org.apache.flume.conf.sink.SinkType

- All Implemented Interfaces:
    Serializable, Comparable<SinkType>

      public enum SinkType
      extends Enum<SinkType>

  Enumeration of built in sink types available in the system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNCHBASE` AsyncHBase sink
    `AVRO` Avro sink
    `ELASTICSEARCH` ElasticSearch sink
    `FILE_ROLL` Rolling file sink
    `HBASE` HBase sink
    `HDFS` HDFS Sink provided by org.apache.flume.sink.hdfs.HDFSEventSink
    `HIVE` Hive Sink
    `IRC` IRC Sink provided by org.apache.flume.sink.irc.IRCSink
    `LOGGER` Logger sink
    `MORPHLINE_SOLR` MorphlineSolr sink
    `NULL` Null sink
    `OTHER` Place holder for custom sinks not part of this enumeration.
    `THRIFT` Thrift sink

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSinkClassName()`
    `static SinkType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SinkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final SinkType OTHER

      Place holder for custom sinks not part of this enumeration.

    - #### NULL

          public static final SinkType NULL

      Null sink
      See Also:
        `NullSink`

    - #### LOGGER

          public static final SinkType LOGGER

      Logger sink
      See Also:
        `LoggerSink`

    - #### FILE_ROLL

          public static final SinkType FILE_ROLL

      Rolling file sink
      See Also:
        `RollingFileSink`

    - #### HDFS

          public static final SinkType HDFS

      HDFS Sink provided by org.apache.flume.sink.hdfs.HDFSEventSink

    - #### IRC

          public static final SinkType IRC

      IRC Sink provided by org.apache.flume.sink.irc.IRCSink

    - #### AVRO

          public static final SinkType AVRO

      Avro sink
      See Also:
        `AvroSink`

    - #### THRIFT

          public static final SinkType THRIFT

      Thrift sink
      See Also:
        `ThriftSink`

    - #### ELASTICSEARCH

          public static final SinkType ELASTICSEARCH

      ElasticSearch sink
      See Also:
        `ElasticSearchSink`

    - #### HBASE

          public static final SinkType HBASE

      HBase sink
      See Also:
        `HBaseSink`

    - #### ASYNCHBASE

          public static final SinkType ASYNCHBASE

      AsyncHBase sink
      See Also:
        `AsyncHBaseSink`

    - #### MORPHLINE_SOLR

          public static final SinkType MORPHLINE_SOLR

      MorphlineSolr sink
      See Also:
        `MorphlineSolrSink`

    - #### HIVE

          public static final SinkType HIVE

      Hive Sink
      See Also:
        `HiveSink`

  - ### Method Detail

    - #### values

          public static SinkType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SinkType c : SinkType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SinkType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSinkClassName

          public String getSinkClassName()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.